Index: contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "arm-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-arm-rtems4.8-gdb
-
 GNU gdb targetting arm-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.5
 %define gdb_rpmvers %{expand:%(echo 6.5 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	3%{?dist}
+Release:	4%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "bfin-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -64,7 +83,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -89,4 +116,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -152,5 +180,4 @@
 
 %description -n rtems-4.8-bfin-rtems4.8-gdb
-
 GNU gdb targetting bfin-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "h8300-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-h8300-rtems4.8-gdb
-
 GNU gdb targetting h8300-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "i386-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-i386-rtems4.8-gdb
-
 GNU gdb targetting i386-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "m68k-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-m68k-rtems4.8-gdb
-
 GNU gdb targetting m68k-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "mips-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-mips-rtems4.8-gdb
-
 GNU gdb targetting mips-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/mipstx39/rtems-4.8-mipstx39-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/mipstx39/rtems-4.8-mipstx39-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/mipstx39/rtems-4.8-mipstx39-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "mipstx39-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-mipstx39-rtems4.8-gdb
-
 GNU gdb targetting mipstx39-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "powerpc-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-powerpc-rtems4.8-gdb
-
 GNU gdb targetting powerpc-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.6
 %define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	11%{?dist}
+Release:	12%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "sh-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-sh-rtems4.8-gdb
-
 GNU gdb targetting sh-rtems4.8.
 
Index: contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-gdb.spec	(revision 269f5a23c107a0752d9ab604d7011db5aeee590d)
+++ contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-gdb.spec	(revision 433f6890b8e61cb248c479ca3bd947b8a3380dc5)
@@ -14,4 +14,16 @@
 %endif
 
+%ifos cygwin cygwin32
+%define optflags -O3 -pipe -march=i486 -funroll-loops
+%define _libdir			%{_exec_prefix}/lib
+%define debug_package		%{nil}
+%endif
+
+%if "%{_build}" != "%{_host}"
+%define _host_rpmprefix rtems-4.8-%{_host}-
+%else
+%define _host_rpmprefix %{nil}
+%endif
+
 %define gdb_version 6.7.1
 %define gdb_rpmvers %{expand:%(echo 6.7.1 | tr - _)} 
@@ -21,8 +33,10 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	2%{?dist}
+Release:	4%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  %{_host_rpmprefix}gcc
 
 %if "%{gdb_version}" >= "6.6"
@@ -35,16 +49,21 @@
 %endif
 %else
-# fedora/redhat 
-BuildRequires:	expat-devel
-%endif
-%endif
+# fedora/redhat/cygwin
+BuildRequires: %{_host_rpmprefix}expat-devel
+%endif
+%endif
+
+%if "%{gdb_version}" < "6.7"
+%if "%{_build}" != "%{_host}"
+BuildRequires:  %{_host_rpmprefix}termcap-devel
+%endif
+%endif
+BuildRequires:  %{_host_rpmprefix}readline-devel
+BuildRequires:  %{_host_rpmprefix}ncurses-devel
+
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
-%if "sparc-rtems4.8" == "sparc-rtems4.8"
-BuildConflicts:	libtermcap-devel termcap-devel
-%endif
-BuildRequires:  readline-devel
-BuildRequires:	ncurses-devel
+
 
 Requires:	rtems-4.8-gdb-common
@@ -53,5 +72,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.7.1"
-Patch0:		gdb-6.7.1-rtems4.8-20071216.diff
+Patch0:		gdb-6.7.1-rtems4.8-20080429.diff
 %endif
 
@@ -66,7 +85,15 @@
 cd ..
 
+%if "%{gdb_version}" >= "6.7"
+# Force using a system-provided libreadline
+rm -f gdb-%{gdb_version}/readline/configure
+%endif
 %build
+  export PATH="%{_bindir}:${PATH}"
   mkdir -p build
   cd build
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
   CFLAGS="$RPM_OPT_FLAGS" \
   ../gdb-%{gdb_version}/configure \
@@ -91,4 +118,5 @@
 
 %install
+  export PATH="%{_bindir}:${PATH}"
   rm -rf $RPM_BUILD_ROOT
 
@@ -154,5 +182,4 @@
 
 %description -n rtems-4.8-sparc-rtems4.8-gdb
-
 GNU gdb targetting sparc-rtems4.8.
 